C3DLandmarklist Class Reference
Basic data strctures and functions

A list of named landmarks. More...

`#include <mia/3d/landmarklist.hh>`

Inheritance diagram for C3DLandmarklist:
[legend]
Collaboration diagram for C3DLandmarklist:
[legend]

## Public Types

typedef CMap::const_iterator | const_iterator
| read only iterator
typedef CMap::iterator | iterator
| read-write iterator
typedef std::shared_ptr< C3DLandmarklist > | Pointer
typedef CMap::value_type | value_type
| Type of the map values (needed for lambda arguments).

## Public Member Functions

void | add (P3DLandmark lm)
iterator | begin ()
const_iterator | begin () const
C3DLandmarklist * | clone () const
iterator | end ()
const_iterator | end () const
P3DLandmark | get (const std::string &name) const
const std::string & | get_name () const
void | set_name (const std::string &name)
void | set_path (const std::string &path)
size_t | size () const
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Detailed Description

A list of named landmarks.

This class implements a list of uniquely named landmarks.

Definition at line 37 of file landmarklist.hh.

## Member Typedef Documentation

## const_iterator

typedef CMap::const_iterator C3DLandmarklist::const_iterator

read only iterator

Definition at line 46 of file landmarklist.hh.

## iterator

typedef CMap::iterator C3DLandmarklist::iterator

read-write iterator

Definition at line 49 of file landmarklist.hh.

## Pointer

typedef std::shared_ptr<C3DLandmarklist> C3DLandmarklist::Pointer

Definition at line 61 of file landmarklist.hh.

## value_type

typedef CMap::value_type C3DLandmarklist::value_type

Type of the map values (needed for lambda arguments).

Definition at line 43 of file landmarklist.hh.

## Member Function Documentation

## add()

void C3DLandmarklist::add | ( | P3DLandmark | lm | ) |

Add a Landmark to the list. If the landmark name already exists it is siletly overwritten.

Parameters

  lm | the landmark to be added

## begin() [1/2]

iterator C3DLandmarklist::begin | ( |  | ) |

Returns
  a read-write STL iterator to the landmarks

## begin() [2/2]

const_iterator C3DLandmarklist::begin | ( |  | ) | const

Returns
  a read-only STL iterator to the landmarks

## clone()

C3DLandmarklist * C3DLandmarklist::clone | ( |  | ) | const

Returns
  a dynamically created copy of the landmark list

## end() [1/2]

iterator C3DLandmarklist::end | ( |  | ) |

Returns
  a read-write STL iterator to the landmarks

## end() [2/2]

const_iterator C3DLandmarklist::end | ( |  | ) | const

Returns
  a read-only STL iterator to the landmarks

## get()

P3DLandmark C3DLandmarklist::get | ( | const std::string & | name | ) | const

Returns
  the landmark with the giben name. If this landmark doesn't exist the function returns a (shared) null pointer.

## get_name()

const std::string & C3DLandmarklist::get_name | ( |  | ) | const

Returns
  the name of the landmark list

## set_name()

void C3DLandmarklist::set_name | ( | const std::string & | name | ) |

Set the name of the landmark list

Parameters

  name |

## set_path()

void C3DLandmarklist::set_path | ( | const std::string & | path | ) |

Set the root path of the document (used to read the images)

Parameters

  path |

## size()

size_t C3DLandmarklist::size | ( |  | ) | const

Returns
  the number of landmarks stored in the list

The documentation for this class was generated from the following file:

- landmarklist.hh